Package com.independentsoft.office.charts

# Class PictureOptions

java.lang.Object
com.independentsoft.office.charts.PictureOptions

public class PictureOptions extends Object
The Class PictureOptions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PictureOptions()`
  Instantiates a new picture options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PictureOptions`
  `clone()`
  `PictureFormat`
  `getFormat()`
  Gets the format.
  `double`
  `getPictureStackUnit()`
  Gets the picture stack unit.
  `boolean`
  `isApplyToEnd()`
  Checks if is apply to end.
  `boolean`
  `isApplyToFront()`
  Checks if is apply to front.
  `boolean`
  `isApplyToSides()`
  Checks if is apply to sides.
  `void`
  `setApplyToEnd​(boolean applyToEnd)`
  Sets the apply to end.
  `void`
  `setApplyToFront​(boolean applyToFront)`
  Sets the apply to front.
  `void`
  `setApplyToSides​(boolean applyToSides)`
  Sets the apply to sides.
  `void`
  `setFormat​(PictureFormat format)`
  Sets the format.
  `void`
  `setPictureStackUnit​(double pictureStackUnit)`
  Sets the picture stack unit.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PictureOptions

    public PictureOptions()
    Instantiates a new picture options.

- ## Method Details

  - ### clone

    public PictureOptions clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isApplyToEnd

    public boolean isApplyToEnd()
    Checks if is apply to end.
    Returns:
      true, if is apply to end

  - ### setApplyToEnd

    public void setApplyToEnd​(boolean applyToEnd)
    Sets the apply to end.
    Parameters:
      `applyToEnd` - the new apply to end

  - ### isApplyToFront

    public boolean isApplyToFront()
    Checks if is apply to front.
    Returns:
      true, if is apply to front

  - ### setApplyToFront

    public void setApplyToFront​(boolean applyToFront)
    Sets the apply to front.
    Parameters:
      `applyToFront` - the new apply to front

  - ### isApplyToSides

    public boolean isApplyToSides()
    Checks if is apply to sides.
    Returns:
      true, if is apply to sides

  - ### setApplyToSides

    public void setApplyToSides​(boolean applyToSides)
    Sets the apply to sides.
    Parameters:
      `applyToSides` - the new apply to sides

  - ### getFormat

    public PictureFormat getFormat()
    Gets the format.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(PictureFormat format)
    Sets the format.
    Parameters:
      `format` - the new format

  - ### getPictureStackUnit

    public double getPictureStackUnit()
    Gets the picture stack unit.
    Returns:
      the picture stack unit

  - ### setPictureStackUnit

    public void setPictureStackUnit​(double pictureStackUnit)
    Sets the picture stack unit.
    Parameters:
      `pictureStackUnit` - the new picture stack unit